# FairMQ: fair::mq::sdk::cmd::TransitionStatus Struct Reference

fair::mq::sdk::cmd::TransitionStatus Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::TransitionStatus:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::TransitionStatus:
[legend]

## Public Member Functions

| TransitionStatus (const std::string &deviceId, const uint64_t taskId, const Result result, const Transition transition, State currentState)
std::string | GetDeviceId () const
void | SetDeviceId (const std::string &deviceId)
uint64_t | GetTaskId () const
void | SetTaskId (const uint64_t taskId)
Result | GetResult () const
void | SetResult (const Result result)
Transition | GetTransition () const
void | SetTransition (const Transition transition)
fair::mq::State | GetCurrentState () const
void | SetCurrentState (fair::mq::State state)
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy